Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:53 2009

## Asterisk developer's documentation

# skinny_req Struct Reference

Collaboration diagram for skinny_req:

[legend]

## Data Fields

union {
activate_call_plane_message activatecallplane
button_template_res_message buttontemplate
call_info_message callinfo
call_state_message callstate
capabilities_res_message caps
close_recieve_channel_message closerecievechannel
definetimedate_message definetimedate
dialled_number_message diallednumber
display_notify_message displaynotify
display_prompt_status_message displaypromptstatus
displaytext_message displaytext
keypad_button_message keypad
line_state_req_message line
line_stat_res_message linestat
open_recieve_channel_message openrecievechannel
open_recieve_channel_ack_message openrecievechannelack
register_message reg
register_ack_message regack
register_rej_message regrej
select_soft_keys_message selectsoftkey
server_res_message serverres
set_lamp_message setlamp
set_ringer_message setringer
set_speaker_message setspeaker
soft_key_sets softkeysets
soft_key_template softkeytemplate
speed_dial_stat_res_message speeddial
speed_dial_stat_req_message speeddialreq
start_media_transmission_message startmedia
start_tone_message starttone
stimulus_message stimulus
stop_media_transmission_message stopmedia
version_res_message version
} | data
int | e
int | len
int | res

## Detailed Description

Definition at line 631 of file chan_skinny.c.

## Field Documentation

activate_call_plane_message activatecallplane

Definition at line 658 of file chan_skinny.c.

Referenced by transmit_callstate().

button_template_res_message buttontemplate

Definition at line 642 of file chan_skinny.c.

Referenced by handle_message().

call_info_message callinfo

Definition at line 661 of file chan_skinny.c.

Referenced by transmit_callinfo().

call_state_message callstate

Definition at line 655 of file chan_skinny.c.

Referenced by transmit_callstate().

capabilities_res_message caps

Definition at line 640 of file chan_skinny.c.

close_recieve_channel_message closerecievechannel

Definition at line 666 of file chan_skinny.c.

Referenced by transmit_callstate().

union { ... } data

Referenced by handle_message(), skinny_register(), transmit_callinfo(), transmit_callstate(), transmit_connect(), transmit_diallednumber(), transmit_displaymessage(), transmit_displaynotify(), transmit_displaypromptstatus(), transmit_lamp_indication(), transmit_ringer_mode(), transmit_speaker_mode(), and transmit_tone().

definetimedate_message definetimedate

Definition at line 645 of file chan_skinny.c.

Referenced by handle_message().

dialled_number_message diallednumber

Definition at line 668 of file chan_skinny.c.

Referenced by transmit_diallednumber().

display_notify_message displaynotify

Definition at line 667 of file chan_skinny.c.

Referenced by transmit_displaynotify().

display_prompt_status_message displaypromptstatus

Definition at line 644 of file chan_skinny.c.

Referenced by transmit_displaypromptstatus().

displaytext_message displaytext

Definition at line 643 of file chan_skinny.c.

Referenced by transmit_displaymessage().

int e

Definition at line 634 of file chan_skinny.c.

Referenced by handle_message(), skinny_req_parse(), transmit_callinfo(), transmit_callstate(), transmit_connect(), transmit_diallednumber(), transmit_displaymessage(), transmit_displaynotify(), transmit_displaypromptstatus(), transmit_lamp_indication(), transmit_response(), transmit_ringer_mode(), transmit_speaker_mode(), and transmit_tone().

keypad_button_message keypad

Definition at line 656 of file chan_skinny.c.

Referenced by handle_message().

int len

Definition at line 632 of file chan_skinny.c.

Referenced by handle_message(), transmit_callinfo(), transmit_callstate(), transmit_connect(), transmit_diallednumber(), transmit_displaymessage(), transmit_displaynotify(), transmit_displaypromptstatus(), transmit_lamp_indication(), transmit_response(), transmit_ringer_mode(), transmit_speaker_mode(), and transmit_tone().

line_state_req_message line

Definition at line 648 of file chan_skinny.c.

Referenced by handle_message().

line_stat_res_message linestat

Definition at line 649 of file chan_skinny.c.

Referenced by handle_message().

open_recieve_channel_message openrecievechannel

Definition at line 664 of file chan_skinny.c.

Referenced by transmit_connect().

open_recieve_channel_ack_message openrecievechannelack

Definition at line 665 of file chan_skinny.c.

Referenced by handle_message().

register_message reg

Definition at line 637 of file chan_skinny.c.

Referenced by handle_message(), and skinny_register().

register_ack_message regack

Definition at line 638 of file chan_skinny.c.

Referenced by handle_message().

register_rej_message regrej

Definition at line 639 of file chan_skinny.c.

Referenced by handle_message().

int res

Definition at line 633 of file chan_skinny.c.

select_soft_keys_message selectsoftkey

Definition at line 657 of file chan_skinny.c.

server_res_message serverres

Definition at line 652 of file chan_skinny.c.

Referenced by handle_message().

set_lamp_message setlamp

Definition at line 653 of file chan_skinny.c.

Referenced by transmit_lamp_indication().

set_ringer_message setringer

Definition at line 654 of file chan_skinny.c.

Referenced by transmit_ringer_mode().

set_speaker_message setspeaker

Definition at line 660 of file chan_skinny.c.

Referenced by transmit_speaker_mode().

soft_key_sets softkeysets

Definition at line 650 of file chan_skinny.c.

Referenced by handle_message().

soft_key_template softkeytemplate

Definition at line 651 of file chan_skinny.c.

Referenced by handle_message().

speed_dial_stat_res_message speeddial

Definition at line 647 of file chan_skinny.c.

Referenced by handle_message().

speed_dial_stat_req_message speeddialreq

Definition at line 636 of file chan_skinny.c.

Referenced by handle_message().

start_media_transmission_message startmedia

Definition at line 662 of file chan_skinny.c.

Referenced by handle_message().

start_tone_message starttone

Definition at line 646 of file chan_skinny.c.

Referenced by transmit_tone().

stimulus_message stimulus

Definition at line 659 of file chan_skinny.c.

Referenced by handle_message().

stop_media_transmission_message stopmedia

Definition at line 663 of file chan_skinny.c.

Referenced by transmit_callstate().

version_res_message version

Definition at line 641 of file chan_skinny.c.

Referenced by handle_message().

The documentation for this struct was generated from the following file:

- chan_skinny.c